> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Options



## OpenAPI

````yaml /openapi.json get /api/v1/merchants/me/payment-options
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/payment-options:
    get:
      tags:
        - Payer Instructions
      summary: Get Payment Options
      operationId: getPaymentOptions
      parameters:
        - name: virtualAccountId
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: expectedPaymentId
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: customerId
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: subMerchantId
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantPaymentOptionsResponse'
              example:
                virtualAccountNumber: '7600000035'
                virtualAccountName: Emaal - WithLotus
                referenceHint: null
                rtgsNarrationHint: 7600000035 INV-2026-1044
                mobileMoneyCustomerFacingCopy: |-
                  Pay with M-Pesa via My OneApp, USSD (*334#), or SIM Toolkit.

                  Lipa na M-Pesa > Pay Bill
                  Paybill: 559900
                  Account number: 7600000035
                  Amount: enter the amount you are paying
                stkPushCustomerFacingCopy: >-
                  You will receive an M-Pesa prompt on your phone. Enter your
                  PIN to pay.
                pesalinkCustomerFacingCopy: >-
                  Send money by PesaLink to UBA Kenya, account number
                  7600000035.
                rtgsCustomerFacingCopy: >-
                  Make an RTGS transfer to FINPAYTECH LTD at UBA Kenya. In field
                  :70 enter 7600000035 INV-2026-1044
                options:
                  - channel: MOBILE_MONEY
                    displayName: M-Pesa Paybill
                    paybillNumber: '559900'
                    paybillNumberName: UBA Kenya
                    accountNumber: '7600000035'
                  - channel: PESALINK
                    displayName: PesaLink
                    bankName: UBA Kenya
                    accountNumber: '7600000035'
                  - channel: RTGS
                    displayName: RTGS
                    bankName: UBA Kenya
                    branchName: Westlands
                    swiftCode: UNAFKENA
                    accountName: FINPAYTECH LTD
                    accountNumber: '55010160025423'
components:
  schemas:
    MerchantPaymentOptionsResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````